Skip to content
Navigation

Attest commitment evidence

POST
https://api.sureshake.com/v2/execution/cycles/{cycleId}/commitments/{commitmentId}/evidence/attestations

Path parameters

  • cycleId
    string
    required
    format: uuid
  • commitmentId
    string
    required
    format: uuid

Request body JSON required

  • expectedVersionNumber
    integer
    required
    minimum: 1
  • observed
    string
    required
    maxLength: 4000 · minLength: 1
  • notVerified
    string
    required
    maxLength: 4000 · minLength: 1
  • effectiveAt
    string
    required
    format: date-time
  • visibility
    public
    or
    follower
    or
    capital
    or
    diligence
    or
    custom
    required
  • invitationId
    optional
    string
    format: uuid

Returns

201

Default Response

JSON
  • data
    required

    Any of the following:

    • object
      • id
        string
        required
        format: uuid
      • commitmentId
        string
        required
        format: uuid
      • commitmentVersionNumber
        integer
        required
        minimum: 1
      • resolutionId
        string
        or null
        required
        format: uuid
      • displayName
        string
        required
        maxLength: 500 · minLength: 1
      • ownerEntityId
        string
        required
        format: uuid
      • effectiveAt
        string
        required
        format: date-time
      • visibility
        public
        or
        follower
        or
        capital
        or
        diligence
        or
        custom
        required
      • recordedBy
        string
        required
        minLength: 1
      • sourceHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • createdAt
        string
        required
        format: date-time
      • sourceKind
        upload
        required
      • verificationStatus
        artifact_backed
        required
      • artifactId
        string
        required
        format: uuid
      • reference
        optional

        Any of the following:

        • object
          • type
            page
            required
          • page
            integer
            required
            minimum: 1
          • pageEnd
            optional
            integer
            minimum: 1
        • object
          • type
            section
            required
          • section
            string
            required
            maxLength: 500 · minLength: 1
        • object
          • type
            object
            required
          • objectType
            string
            required
            maxLength: 200 · minLength: 1
          • objectId
            string
            required
            maxLength: 1000 · minLength: 1
      • invitation
        optional
        unknown
    • object
      • id
        string
        required
        format: uuid
      • commitmentId
        string
        required
        format: uuid
      • commitmentVersionNumber
        integer
        required
        minimum: 1
      • resolutionId
        string
        or null
        required
        format: uuid
      • displayName
        string
        required
        maxLength: 500 · minLength: 1
      • ownerEntityId
        string
        required
        format: uuid
      • effectiveAt
        string
        required
        format: date-time
      • visibility
        public
        or
        follower
        or
        capital
        or
        diligence
        or
        custom
        required
      • recordedBy
        string
        required
        minLength: 1
      • sourceHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • createdAt
        string
        required
        format: date-time
      • sourceKind
        sureshake_link
        required
      • verificationStatus
        artifact_backed
        required
      • resourceType
        report
        or
        artifact
        required
      • resourceId
        string
        required
        format: uuid
      • reference
        optional
        unknown
      • invitation
        optional
        unknown
    • object
      • id
        string
        required
        format: uuid
      • commitmentId
        string
        required
        format: uuid
      • commitmentVersionNumber
        integer
        required
        minimum: 1
      • resolutionId
        string
        or null
        required
        format: uuid
      • displayName
        string
        required
        maxLength: 500 · minLength: 1
      • ownerEntityId
        string
        required
        format: uuid
      • effectiveAt
        string
        required
        format: date-time
      • visibility
        public
        or
        follower
        or
        capital
        or
        diligence
        or
        custom
        required
      • recordedBy
        string
        required
        minLength: 1
      • sourceHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • createdAt
        string
        required
        format: date-time
      • sourceKind
        integration
        required
      • verificationStatus
        source_verified
        required
      • integrationId
        string
        required
        format: uuid
      • integrationKey
        string
        required
        minLength: 1
      • resourceType
        string
        required
        maxLength: 200 · minLength: 1
      • externalId
        string
        required
        maxLength: 1000 · minLength: 1
      • contentHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • retrievedAt
        string
        required
        format: date-time
      • reference
        optional
        unknown
      • invitation
        optional
        unknown
    • object
      • id
        string
        required
        format: uuid
      • commitmentId
        string
        required
        format: uuid
      • commitmentVersionNumber
        integer
        required
        minimum: 1
      • resolutionId
        string
        or null
        required
        format: uuid
      • displayName
        string
        required
        maxLength: 500 · minLength: 1
      • ownerEntityId
        string
        required
        format: uuid
      • effectiveAt
        string
        required
        format: date-time
      • visibility
        public
        or
        follower
        or
        capital
        or
        diligence
        or
        custom
        required
      • recordedBy
        string
        required
        minLength: 1
      • sourceHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • createdAt
        string
        required
        format: date-time
      • sourceKind
        third_party_attestation
        required
      • verificationStatus
        third_party_attested
        required
      • attestorUserId
        string
        required
        minLength: 1
      • attestationScope
        required

        Any of the following:

        • object
          • status
            complete
            required
          • observed
            string
            required
            maxLength: 4000 · minLength: 1
          • notVerified
            string
            required
            maxLength: 4000 · minLength: 1
        • object
          • status
            legacy_incomplete
            required
          • legacyStatement
            string
            required
            maxLength: 4000 · minLength: 1
      • reference
        optional
        unknown
      • invitation
        optional
        object
        • id
          string
          required
          format: uuid
        • relationship
          customer
          or
          mentor
          or
          advisor
          or
          program_operator
          or
          capital_provider
          required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close